Bug 1900513 - Review Request: php-laminas-diactoros2 - PSR HTTP Message implementations v2
Summary: Review Request: php-laminas-diactoros2 - PSR HTTP Message implementations v2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-23 09:12 UTC by Remi Collet
Modified: 2021-01-30 01:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-30 01:54:19 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-11-23 09:12:13 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/laminas/php-laminas-diactoros2.git/plain/php-laminas-diactoros2.spec?id=222aad4d1e3cd3e2ee8a6edcc69b3d8182ea0d17
SRPM URL: https://rpms.remirepo.net/SRPMS/php-laminas-diactoros2-2.5.0-1.remi.src.rpm
Description: 
A PHP package containing implementations of the accepted PSR-7 HTTP message
interfaces [1], as well as a "server" implementation similar to node's
http.Server [2].

Documentation: https://docs.laminas.dev/laminas-diactoros/

Autoloader: /usr/share/php/Laminas/Diactoros2/autoload.php

[1] http://www.php-fig.org/psr/psr-7/
[2] http://nodejs.org/api/http.html


Fedora Account System Username: remi

Review for v1: https://bugzilla.redhat.com/1792351

Comment 1 Robert-André Mauchin 🐧 2021-01-20 17:36:19 UTC
The test fails for me:


+ for CMDARG in "php /usr/bin/phpunit9" php73 php74 php80
+ which php /usr/bin/phpunit9
/usr/bin/php
/usr/bin/phpunit9
+ set php /usr/bin/phpunit9
+ php /usr/bin/phpunit9 --bootstrap bootstrap.php --filter '^((?!(testReasonPhraseDefaultsAgainstIana|testIsNotSeekable|testIsNotWritable|testIsNotReadable|testRewindNotSeekable)).)*$' --verbose
PHPUnit 9.5.0 by Sebastian Bergmann and contributors.
Test directory "/builddir/build/BUILD/laminas-diactoros-4ff7400c1c12e404144992ef43c8b733fd9ad516/./vendor/http-interop/http-factory-tests/test" not found
+ RETURN_CODE=1
+ for CMDARG in "php /usr/bin/phpunit9" php73 php74 php80
+ which php73
which: no php73 in (/usr/lib64/ccache:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin)
+ for CMDARG in "php /usr/bin/phpunit9" php73 php74 php80
+ which php74
which: no php74 in (/usr/lib64/ccache:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin)
+ for CMDARG in "php /usr/bin/phpunit9" php73 php74 php80
+ which php80
which: no php80 in (/usr/lib64/ccache:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin)
+ : check compat autoloader
+ php -r '
require "/builddir/build/BUILDROOT/php-laminas-diactoros2-2.5.0-1.fc34.x86_64/usr/share/php/Zend/Diactoros2/autoload.php";
exit (class_exists("\\Zend\\Diactoros\\Request") ? 0 : 1);
'
+ exit 1

Comment 2 Robert-André Mauchin 🐧 2021-01-20 17:38:55 UTC
There's no vendor directory but a psr7 and factory directories.

Comment 3 Robert-André Mauchin 🐧 2021-01-20 18:37:03 UTC
Maybe related to https://github.com/sebastianbergmann/phpunit/issues/4493
in phpunit 9.5.0

Comment 5 Robert-André Mauchin 🐧 2021-01-21 12:11:33 UTC
 - Please add COPYRIGHT.md to the %license list

Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYRIGHT.md is not marked as %license
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/LicensingGuidelines/#_license_text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License", "Expat License". 191 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/php-laminas-
     diactoros2/review-php-laminas-diactoros2/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[!]: Run phpci static analyze on all php files.
     Note: phpcompatinfo not found. Install php-bartlett-PHP-CompatInfo
     package to get a more comprehensive php review.
     See: url: undefined


Rpmlint
-------
Checking: php-laminas-diactoros2-2.5.0-2.fc34.noarch.rpm
          php-laminas-diactoros2-2.5.0-2.fc34.src.rpm
php-laminas-diactoros2.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-laminas-diactoros2.src: W: spelling-error %description -l en_US usr -> use, us, user
php-laminas-diactoros2.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-laminas-diactoros2.src: W: strange-permission makesrc.sh 755
php-laminas-diactoros2.src: W: strange-permission php-http-interop-http-factory-tests-get-source.sh 755
php-laminas-diactoros2.src: W: strange-permission php-http-psr7-integration-tests-get-source.sh 755
php-laminas-diactoros2.src: W: invalid-url Source4: php-http-interop-http-factory-tests-0.8.0-7384d93.tgz
php-laminas-diactoros2.src: W: invalid-url Source2: php-http-psr7-integration-tests-1.1.0-b63c2f5.tgz
php-laminas-diactoros2.src: W: invalid-url Source0: php-laminas-diactoros2-2.5.0-4ff7400.tgz
2 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 7 Gwyn Ciesla 2021-01-21 14:24:43 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-laminas-diactoros2

Comment 8 Fedora Update System 2021-01-21 15:47:28 UTC
FEDORA-2021-06df0c54f0 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-06df0c54f0

Comment 9 Fedora Update System 2021-01-22 02:12:46 UTC
FEDORA-2021-06df0c54f0 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-06df0c54f0 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-06df0c54f0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-01-30 01:54:19 UTC
FEDORA-2021-06df0c54f0 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.